Bug 215224 - [WebXR] Update WebXR WPT directory
Summary: [WebXR] Update WebXR WPT directory
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Sergio Villar Senin
URL:
Keywords: InRadar
Depends on:
Blocks: 208988
  Show dependency treegraph
 
Reported: 2020-08-06 10:15 PDT by Sergio Villar Senin
Modified: 2020-08-12 04:07 PDT (History)
10 users (show)

See Also:


Attachments
Patch (154.39 KB, patch)
2020-08-06 10:29 PDT, Sergio Villar Senin
youennf: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sergio Villar Senin 2020-08-06 10:15:45 PDT
[WebXR] Update WebXR WPT directory
Comment 1 Sergio Villar Senin 2020-08-06 10:29:20 PDT
Created attachment 406090 [details]
Patch
Comment 2 Sergio Villar Senin 2020-08-11 00:47:06 PDT
Ping reviewers
Comment 3 youenn fablet 2020-08-11 01:26:25 PDT
Comment on attachment 406090 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=406090&action=review

> Source/WebCore/Modules/webxr/WebXRInputSourceArray.cpp:41
> +}

Could be inline

> LayoutTests/imported/w3c/web-platform-tests/webxr/dom-overlay/ar_dom_overlay.https.html:139
> +    debug('got viewerSpace');

Is it expected logging?

> LayoutTests/imported/w3c/web-platform-tests/webxr/dom-overlay/ar_dom_overlay.https.html:206
> +      debug('got rAF 1');

Ditto.
Comment 4 Sergio Villar Senin 2020-08-12 00:42:12 PDT
Comment on attachment 406090 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=406090&action=review

Thanks for the review!

>> Source/WebCore/Modules/webxr/WebXRInputSourceArray.cpp:41
>> +}
> 
> Could be inline

OK. I'll move it.

>> LayoutTests/imported/w3c/web-platform-tests/webxr/dom-overlay/ar_dom_overlay.https.html:139
>> +    debug('got viewerSpace');
> 
> Is it expected logging?

This come straight from upstream. In our case it does not matter much because the debug() call is only implemented by Chromium AFAIK. For the rest of engines is an empty implementation. But I agree that it's weird to upstream something with debug statements.
Comment 5 Sergio Villar Senin 2020-08-12 04:06:55 PDT
Committed r265546: <https://trac.webkit.org/changeset/265546>
Comment 6 Radar WebKit Bug Importer 2020-08-12 04:07:19 PDT
<rdar://problem/66899462>